APT, the Advanced Packaging Tool, is Debian's high-level package management system. It is also used by several other Linux-based and Debian-based operating systems.

learn more… | top users | synonyms (1)

2
votes
1answer
375 views

What does “Provides:” mean in the output of apt-cache showpkg?

man apt-cache has this to say on the matter: showpkg displays information about the packages listed on the command line. Remaining arguments are package names. The available versions and reverse ...
2
votes
1answer
24 views

Virtuell Packages keept back when updating

the one or other might have seen this message when working with apt: The following packages have been kept back: some-package The usual solution to this problem is to manually install the ...
2
votes
2answers
1k views

dist-upgrade to squeeze wants to remove apt

why does dist-upgrade to squeeze want to remove apt and how can I fix it? $ sudo apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done ...
2
votes
1answer
97 views

Why can I not find kernel-image

I'm attempting to remotly install Debian Etch on a CentOS system using the tutorial here, when I get to the steps: apt-cache search kernel-image ... apt-get -y install kernel-image-2.6-686 apt is ...
2
votes
1answer
2k views

apt sources.list ssh:// with custom port

I've setup my own repository which I want to use SSH as the protocol. I managed to get everything working with an SSH key using port 22. Now, I would like to change the SSH port. I've already changed ...
2
votes
1answer
134 views

How to get notified by installed/removed packages from dpkg/apt/aptitude?

I'm writing a Python system script and I need to be notified when a program gets installed/upgraded/removed. First of all, I thought to interface my application to an apt-dbus daemon. Unluckily I've ...
2
votes
1answer
8k views

How to force debian linux apt-get installer to install unstable/specific version of packages?

I want to force the install system on debian linux, apt-get, to install unstable (i.e. a later version) of a package, later than the stable one recognised by the debian package maintainer. This ...
2
votes
2answers
2k views

apt-mirror does not mirror the i18n directory

I need to setup a local Ubuntu mirror so the whole network doesn't need to hit remote servers in order to update and install new packages. Following a brief tutorial found here, I managed to get a ...
2
votes
1answer
1k views

Apt-get and aptitude not working in Ubuntu 9.04 KVM environment

I don't seem to get apt to work on a KVM in a Ubuntu 9.04 box. The virtual machine is an Ubuntu server. Network does seem to work (I can ping and attempt ssh connections, for instance), but running ...
2
votes
1answer
119 views

Building the necessary dependencies when apt-get installing on Ubuntu

I've got an Ubuntu 12.04.2 server and I want to install Postgres 9.2.4. If I wanted to build all dependencies, I couldn't use apt-get build-dep (at least without some finagling) because only 9.1 is ...
2
votes
2answers
62 views

Differences between “apache”'s installations

Using Ubuntu 12.04, are there any differences between installing Apache httpd using sudo apt-get install apache2 (as the guide of Ubuntu says - https://help.ubuntu.com/12.04/serverguide/httpd.html ) ...
2
votes
2answers
2k views

Pull php5 from DotDeb and ignore others packages

I have Debian squeeze installed and this is my /etc/apt/sources.list file: # Debian packages for stable deb http://ftp.lug.ro/debian/ stable main contrib non-free # Security updates for stable deb ...
2
votes
2answers
70 views

Update ubuntu server to the state of one week ago

I want to have the ubuntu updates on the production servers after they working one week on the staging servers. If I make apt-get update && apt-get upgrade on the production servers after a ...
2
votes
1answer
755 views

Tunnel apt traffic from private network through public to the internet

I've got 4 Servers under the following config: Servers 1 and 3(Web Server, Mail server respectivelly): NIC1: Public Network, Connected to the Internet NIC2: Private Network, Communication between ...
2
votes
1answer
1k views

Unattended grub-pc update

I would like to know how to update grub-pc on a ubuntu 10.04 derivative distro without the configure grub-pc ncurses based dialog. I have tried examining debconf-get-selections before and after as ...
2
votes
2answers
85 views

Question to apt sources.list

is this the right format: http://mirror/debian/security squeeze/updates main contrib non-free or this: http://mirror/debian/security squeeze-updates main contrib non-free squeeze/updates VS ...
2
votes
1answer
103 views

how to interpret messages with package dependencies problems using apt

I'm having some problems to install some packages in a Debian box. The problem is more related with the error message interpretation. I'm trying to install the libssl-dev. So I fired a shell and I ...
2
votes
2answers
80 views

How do I see the original version of a config file installed with apt-get?

I have a server running Ubuntu and a program which was installed with apt-get install and I'd like to see the unmodified config file (e.g. /etc/foo/foo.cfg) so that I can diff it against the current ...
2
votes
2answers
2k views

how can i install apt-get on Centos

I am getting: yum install apt Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * addons: mirror.ash.fastserv.com * base: mirror.nexcess.net * extras: ...
2
votes
1answer
1k views

How can I get the apt-get source of a backports package on Debian?

My current sources.list: ## main & security repositories deb http://ftp.us.debian.org/debian/ lenny main deb-src http://ftp.us.debian.org/debian/ lenny main deb http://security.debian.org/ ...
2
votes
2answers
1k views

I can't get rid of apache2

It's obvious that I am a newbie with server administration; my goal is to reach the knowledge needed to working with web services. I played with my Debian server, and I messed up apache2; Now I want ...
2
votes
1answer
1k views

Pinning based on origin of a reprepro repository

I'm on Ubuntu 10.04, and trying to set up a repository using reprepro. I'd also like the pin everything in that repository to be preferred over anything else, even if packages are older versions. (It ...
2
votes
2answers
682 views

Is there a debian lenny patch to allow apt-get to work with sftp?

I would like to write things like this in /etc/apt/sources.list: deb sftp://someuser@some.server.org/path other stuff When I try this, apt-get complains that there is no sftp method for apt: # ...
2
votes
1answer
113 views

List of newly-installed apt packages

Is there a good way to determine which apt packages were installed by the user/admin (as opposed to getting installed by default upon OS install)? The list doesn't have to be comprehensive - can ...
2
votes
3answers
3k views

sudo apt-get install mysql-server fails

I'm coming from a fresh install of Ubuntu server 9.10 and trying to install mysql-server by using 'sudo apt-get mysql-server' I get the following errors: dan@dev:~$ sudo apt-get install ...
2
votes
1answer
468 views

Unrespected pinning in Ubuntu with aptitude

I'm running an Ubuntu 9.10 (Karmic) system, but would like the beta Lucid repositories enabled for some packages I need bleeding-edge versions of. I'm trying to use apt-pinning so that they will ...
2
votes
1answer
3k views

Chef Opscode apt cookbook - apt-get install returned 100, expected 0

I'm running Chef solo (version 11.4.0) on a clean VPS with Ubuntu 12 installed, and I'm having some problems with apt. The problem was that any package command raised an error: Chef::Exceptions::Exec ...
2
votes
2answers
1k views

Debian - “WARNING: untrusted versions of the following packages will be installed!”

When i try to install or update any packages I get: Untrusted packages could compromise your system's security. You should only proceed with the installation if you are certain that this is what you ...
2
votes
1answer
351 views

Apt pin and self hosted apt repo

We have our own apt/deb repository with a handful of packages where we want to control the version. Crucially this includes puppet, which can be sensitive to versions being different. I want our ...
2
votes
2answers
1k views

Debian: How to use “apt-get install” without upgrading dependencies? [duplicate]

Possible Duplicate: How do I get apt-get to ignore some dependencies? I need to install some packages. The package A has the package B as a dependency and requires to be (>2.0). I have ...
2
votes
1answer
39 views

How can I log all changes to Ubuntus packaging system?

I have an ubuntu box and I want to get/log all changes to the packaging system (apt/dpkg) so I can reproduce them on an other machine. My goal is to extract an update script to reproduce the same ...
2
votes
1answer
512 views

Want to run asp.net 4 website on Ubuntu. Is it this simple?

Hello I'm a Windows guy and would like to build a small, portable, mini ITX web servers with free software. My application is ready. It's ASP.NET 4.0 connected to MySql 5. It runs on my Windows ...
2
votes
2answers
537 views

How to run Postgresql 8.2 on Debian lenny?

We are running a legacy application which requires PostgreSQL 8.2 on Debian Etch. Since Debian dropped support for etch, we're seriously considering to upgrade to Debian Lenny. However, we are stuck ...
2
votes
3answers
4k views

Install Previous Version of PHP Package from Debian Testing Using Apt

Is there a way to install an older Debian testing repository version of a package using apt-get? Specifically, I am looking to install the latest version of PHP 5.2.x on Debian Lenny. The last time ...
2
votes
1answer
1k views

Linode vm with Ubuntu 9.04 can't find vim-full package

I have fresh linode with ubuntu 9.04. When I try to install the full vim with this command sudo apt-get install vim-full i get Reading package lists... Done Building dependency tree... Done E: ...
2
votes
3answers
2k views

apt-get upgrade failing on debianutils

Using apt-get dist-upgrade to upgrade software on a server, I get the following error: Extracting templates from packages: 100% Preconfiguring packages ... (Reading database ... 28575 files and ...
2
votes
1answer
77 views

Can a single Apt-Cacher serve multiple Debian versions?

I have multiple machines running Debian 6 (Squeeze) and 7 (Wheezy). I set up an Apt-Cacher server on a Debian 7 box, for the Debian 7 instances to use. Can this also be used (with the same wheezy ...
2
votes
0answers
62 views

Disallow virtual package in Debian's /etc/apt/preferences

I know I can disallow a particular package in Debian by appending /etc/apt/preferences with: Package: *x11* Pin: release Pin-Priority: -1 But how can I do that for a virtual package like httpd? I'd ...
2
votes
2answers
180 views

Debian Squeeze: apt-get hangs on download packages from our local repository

hope you guys can help me find out a solution to this problem that's causing me headache. My company has a number of front end servers based upon Debian Squeeze, we also set up a local repository ...
2
votes
1answer
486 views

dpkg broken while upgrading Debian Etch to Lenny

Good day! While trying to recover a box to lenny it seems I've broken things. It upgrades libc and glib after that dpkg seems to be broken. I can run apt-get, but it gets segmentation fault from ...
2
votes
2answers
619 views

How can I install a system with apt-get without ncurses configuration screens?

I wrote a BASH script for doing an unattendend install on an ARM based Debian system. One of the packages being installed is samba. I added apt-get -y install samba into my setup routine, but ...
2
votes
1answer
943 views

mdadm warning after apt-get upgrade - can't boot RAID

I'm running Ubuntu 12.04 precise. A recent apt-get upgrade ended successfully, but printed the following warning at the end: update-initramfs: Generating /boot/initrd.img-3.2.0-21-generic W: mdadm: ...
1
vote
1answer
304 views

Ubuntu apt-get update vs upgrade

I have a VPS with Ubuntu Server 12.04 and I want maximal stability of my server, which's main purpose is a webserver. What are difference between Update and Upgrade? I can't understand difference. As ...
1
vote
3answers
493 views

package won't install correctly using apt-get

Hey there, I'm currently having problems installing proftpd correctly. At some point the pakage was already installed but when I try to install don't get a selection screen to preconfigure the server ...
1
vote
1answer
69 views

How to prevent a Ubuntu server from being updated?

I am creating a test system that will be run by others. It will have some kernel mods, and some of the default software in /usr/bin will be replaced. Because of this, I want to prevent the users from ...
1
vote
3answers
1k views

Ubuntu 8.04 (Hardy): How to automatically apt-get / aptitude upgrade packages for bugs/security?

I have a lab full of workstations running Ubuntu 8.04 (Hardy Heron). My predecessors made a hackish bit of cron script to update, upgrade, and clean daily. I like the fact that it requires zero ...
1
vote
3answers
788 views

apt-get not found on my VPS?

Today, I bought a Ubuntu 12.04 VPS from http://www.frontrangehosting.com, but when I access it via SSH, I can't use apt-get. [root@vps /]# apt-get install python-software-properties -bash: apt-get: ...
1
vote
4answers
5k views

How do I install the latest version of Sphinx Seach in Apt-get?

When I do "sudo apt-get install sphinxsearch", I get version 0.9. I want the latest stable version (which is 2.4, I believe) How can I do that using aptitude?
1
vote
2answers
513 views

Debian etch apt-get issues

I'm new to this area of Linux. I have a linux box which says kernel version is 2.6.18-4-amd64. It's been working as it for a long time. I needed to install subversion on the box, hence I tried ...
1
vote
3answers
6k views

-bash: apt-get: command not found

Over the course of uninstalling the HP/palm enyo SDK and installing node JS I somehow goofed up something (I think my path). Now when I try use apt-get I get the following: -bash: apt-get: command ...